/**
 * Copyright (c) Cisco Systems, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import "../icon/Icon";
import { LitElement, nothing, PropertyValues, TemplateResult } from "lit";
import Papa from "papaparse";
export declare const formatType: readonly ["number", "default"];
type Warn = {
    [key: number]: any;
};
export declare namespace Table {
    type Format = (typeof formatType)[number];
    class ELEMENT extends LitElement {
        tabledata: string;
        zebra: boolean;
        clean: boolean;
        sorting: boolean;
        nodata: string;
        stickheader: boolean;
        label: string;
        noBorders: boolean;
        format: Table.Format;
        warning: (any | Warn)[];
        errors: (any | Warn)[];
        private sort;
        csvData: any;
        rowTable?: HTMLTableRowElement[];
        headerRow: any;
        results: any;
        config: Papa.ParseConfig;
        connectedCallback(): void;
        get rowItem(): HTMLTableRowElement[] | undefined;
        linkCellItems(): void;
        sortTab(ev: Event, key: any): void;
        protected willUpdate(changedProperties: PropertyValues): void;
        protected updated(changedProperties: PropertyValues): void;
        static get styles(): import("lit").CSSResult[];
        get tableClassMap(): {
            "md-table--clean": boolean;
            "md-table--no-borders": boolean;
            "md-table--stripped": boolean;
            "md-table--sorting": boolean;
        };
        getSortTemplate(key: any): TemplateResult | typeof nothing;
        render(): TemplateResult<1>;
    }
}
declare global {
    interface HTMLElementTagNameMap {
        "md-table": Table.ELEMENT;
    }
}
export {};
